package log

import (
	"testing"
)

func TestPrintln(t *testing.T) {
	Println(DebugLog, "debug log")
	Println(WarningLog, "warning log")
	Println(ErrorLog, "error log")
}

func TestPrintf(t *testing.T) {
	Printf(DebugLog, "debug log: %d\n", 1)
	Printf(WarningLog, "warning log: %d %s\n", 2, "warning")
	Printf(ErrorLog, "error log: %d\n", 3)

	for i := 0; i < 10; i++ {
		Printf(WarningLog, "process:%d\r", i)
	}
}

func TestProcessLogFiles(t *testing.T) {
	Println(DebugLog, "TestProcessLogFiles")
	LogDaemon()
}
